Subject: [alpine-aports] [PATCH] testing/libibumad: new aport

From: Jann - Ove Risvik <[email-masked]>
Date: Sat, 9 Jul 2016 17:21:10 +0200

https://openfabrics.org/index.php/openfabrics-software.html
Interface to ib_umad module (user_mad) library. (InfiniBand)

3.rd attempt. This time with update_config_sub
---
 testing/libibumad/APKBUILD | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/testing/libibumad/APKBUILD b/testing/libibumad/APKBUILD
index 59af7e0..b3de51a 100644
--- a/testing/libibumad/APKBUILD
+++ b/testing/libibumad/APKBUILD
@@ -16,11 +16,17 @@ source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
 "
 
 builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	cd "$_builddir"
+        update_config_sub || return 1
+}
+
+
 build() {
 	cd "$builddir"	
 	./configure \
-	        --build=`echo $CBUILD | sed s/alpine-linux-musl/linux/`\
-		--host=`echo $CHOST | sed s/alpine-linux-musl/linux/` \
+	        --build=$CBUILD\
+		--host=$CHOST \
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---